package com.ruoyi.system.domain.excel;

import com.ruoyi.common.annotation.Excel;
import java.io.Serializable;
import java.util.Objects;


public class SysPostExcelBean implements Serializable {

    private static final long serialVersionUID = -2157064940189219466L;

    @Excel(name = "所属单位名称")
    private String unitName;

    @Excel(name = "所在部门")
    private String deptName;

    @Excel(name = "岗位编码")
    private String postCode;

    @Excel(name = "岗位名称")
    private String postName;

    @Excel(name = "岗位持有人")
    private String nickName;

    @Excel(name = "岗位序列")
    private String postSerializable;

    @Excel(name = "岗位持有人域账号ID")
    private String userName;



    private Long deptId;
    private Long userId;
    private Long postId;

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName == null ? null : unitName.trim();
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName == null ? null : deptName.trim();
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode == null ? null : postCode.trim();
    }

    public String getPostName() {
        return postName;
    }

    public void setPostName(String postName) {
        this.postName = postName == null ? null : postName.trim();
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {


        //可以替换大部分空白字符， 不限于空格 ； \s 可以匹配空格、制表符、换页符等空白字符的其中任意一个。
//        this.nickName = nickName == null ? null : nickName.trim();
        this.nickName = nickName == null ? null : nickName.replaceAll("\\s*", "");
    }

    public String getPostSerializable() {
        return postSerializable;
    }

    public void setPostSerializable(String postSerializable) {
        this.postSerializable = postSerializable == null ? null : postSerializable.trim();
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }


    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getPostId() {
        return postId;
    }

    public void setPostId(Long postId) {
        this.postId = postId;
    }

    @Override
    public String toString() {
        return "SysPostExcelBean{" +
                "unitName='" + unitName + '\'' +
                ", deptName='" + deptName + '\'' +
                ", postCode='" + postCode + '\'' +
                ", postName='" + postName + '\'' +
                ", nickName='" + nickName + '\'' +
                ", postSerializable='" + postSerializable + '\'' +
                ", userName='" + userName + '\'' +
                ", deptId=" + deptId +
                ", userId=" + userId +
                ", postId=" + postId +
                '}';
    }
}
